---
title: github credentials
keywords: documentation
layout: documentation
sidebar: _sidebar
toc: false
---
## Overview

Specfies the credentials to use when connecting to github.

Here is an example on how to use this:

    github_credentials { 'user':
      ensure   => 'present',
      password => 'very_secret',
      username => 'github_username',
    }

You can use multiple accounts. I that case all github puppet types will
fetch information from all accounts.

## Attributes



Attribute Name                           | Short Description                                   |
---------------------------------------- | --------------------------------------------------- |
[ensure](#github_credentials_ensure)     | The basic property that the resource should be in.  |
[name](#github_credentials_name)         | The name of the credentials.                        |
[password](#github_credentials_password) | The password to use when authenticating at github.  |
[provider](#github_credentials_provider) | resource.                                           |
[username](#github_credentials_username) |   The username to use for authenticating at github. |




### ensure<a name='github_credentials_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`.
[Back to overview of github_credentials](#attributes)


### name<a name='github_credentials_name'>

The name of the credentials.


[Back to overview of github_credentials](#attributes)


### password<a name='github_credentials_password'>

The password to use when authenticating at github. The password is saved on the
system in a secure way.

    github_credentials { '...':
      ...
      password => 'very_secret',
      ...
    }


[Back to overview of github_credentials](#attributes)


### provider<a name='github_credentials_provider'>

The specific backend to use for this `github_credentials`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage github credentials through yaml file


[Back to overview of github_credentials](#attributes)


### username<a name='github_credentials_username'>

  The username to use for authenticating at github.

github_credentials { '...':
  ...
  password => 'very_secret',
  ...
}


[Back to overview of github_credentials](#attributes)
