---
title: github team repo
keywords: documentation
layout: documentation
sidebar: github_config_sidebar
toc: false
---
## Overview


Allows you to manage the repo's that are visible by team memembers. Here is an
example on how to add a repository to a team.

    github_team_repo { 'acount/organization/team:owner/repo':
      ensure      => 'present',
      permissions => 'pull',
    }

## Attributes



Attribute Name                                 | Short Description                                  |
---------------------------------------------- | -------------------------------------------------- |
[credentials](#github_team_repo_credentials)   | The credentials to use for github operations.      |
[ensure](#github_team_repo_ensure)             | The basic property that the resource should be in. |
[id](#github_team_repo_id)                     | For internal use only.                             |
[name](#github_team_repo_name)                 | The full name of the team repo.                    |
[organization](#github_team_repo_organization) | The name of the organization.                      |
[permissions](#github_team_repo_permissions)   |   The permissions the team has on the repository.  |
[provider](#github_team_repo_provider)         | resource.                                          |
[repository](#github_team_repo_repository)     | The name of the repository.                        |
[team](#github_team_repo_team)                 | The name of the team.                              |




### credentials<a name='github_team_repo_credentials'>


The credentials to use for github operations. This parameter is extracted from the full name.
No need to specify it in the body of the puppet type.


This is the first part of the title of **all** github types

    github_repo { 'credentials/....':
      ...
    }

The credentials must first be specfied by using [github_credentials]()


[Back to overview of github_team_repo](#attributes)


### ensure<a name='github_team_repo_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 
[Back to overview of github_team_repo](#attributes)


### id<a name='github_team_repo_id'>

For internal use only. Don't use!


[Back to overview of github_team_repo](#attributes)


### name<a name='github_team_repo_name'>

The full name of the team repo. The full name consists of the

- autorisation
- organization
- team
- owner
- repo

Here is an example:

github_team_repo { 'autorisation/organization/team:owner/repo':
      ...
    }

Puppet will map these values to the right puppet parameters.


[Back to overview of github_team_repo](#attributes)


### organization<a name='github_team_repo_organization'>

The name of the organization. This parameter is extracted from the full name.
No need to specify it in the body of the puppet type.


[Back to overview of github_team_repo](#attributes)


### permissions<a name='github_team_repo_permissions'>

  The permissions the team has on the repository. Here is an example:

github_team_repo { 'acount/organization/team:owner/repo':
  ...
  permissions => 'pull',
  ...
}

Valid values are `admin`, `push`, `pull`. 
[Back to overview of github_team_repo](#attributes)


### provider<a name='github_team_repo_provider'>

The specific backend to use for this `github_team_repo`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage github team repositories through puppet


[Back to overview of github_team_repo](#attributes)


### repository<a name='github_team_repo_repository'>

The name of the repository. This parameter is extracted from the full name.
No need to specify it in the body of the puppet type.


[Back to overview of github_team_repo](#attributes)


### team<a name='github_team_repo_team'>

The name of the team. This parameter is extracted from the full name.
No need to specify it in the body of the puppet type.


[Back to overview of github_team_repo](#attributes)

