---
title: Requirements for GitHub config module
keywords: documentation
layout: documentation
sidebar: github_config_sidebar
toc: false
---
# Requirements

The custom types and providers in this module have two external requirements:

- [easy_type](https://github.com/enterprisemodules/easy_type)
- the ruby gem [octokit](https://github.com/octokit/octokit.rb)

### easy_type

The `metadata` of this module contain the right informatiuon to allow `libararian-puppet` to install all required module dependencies. If you want to takes control yourself:

```
forge "http://forge.enterprisemodules.com"

mod 'enterprisemodules/easy_type'
```
Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install
    --module_repository=http://forge.enterprisemodules.com
    enterprisemodules-easy_type
```

### [octokit gem](https://github.com/octokit/octokit.rb)
The github_config custom types use the ruby gem [octokit](https://github.com/ruby-ldap/ruby-net-ldap). Your puppet manifest must ensure installation of the gem. The Puppet types and provider will ensure it only starts its operations after the gem installed.

```puppet
package {
  'octokit':
    ensure   => 'present',
    provider => pe_gem;
}
```

# Supported Operation systems

This module support a broad range of Linux operating systems:

- RHEL 4,5,6,7
- CentOS 4,5,6,7
- OracleLinux 4,5,6,7
- Scientific 4,5,6,7

# Supported Puppet versions

This module requires Puppet 4 to run. It supports both the opes source versions as well as Puppet Enterprise.
