#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:config) do
  include EasyType

  desc <<-EOD
  Specfies the config used for the hook. The configuration is hook specfic. Check
  the documentation at github for the configuration options of a service.

      github_hook { '...:
        ...
        config => {'content_type' => 'form', 'insecure_ssl' => '0', 'url' => 'https://myurl.com'},
        ...
      }


  EOD

  data_type("Optional[Hash]")

  def insync?(is)
    is == should.inject({}){|memo,(k,v)| memo[k.to_sym] = v; memo}
  end

  to_translate_to_resource do |raw_resource|
    raw_resource[:config]
  end
end
