#
# See the file "LICENSE" for the full license governing this code.
#
require 'open-uri'
newparam(:hook) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
  The name of the hook. This parameter is extracted from the full name.
  No need to specify it in the body of the puppet type.

  EOD

  data_type("Optional[String[1]]")

  @@allowed_hook_name = 'web'

  def initialize(args)
    super
  end

  validate do |value|
    fail "#{value} not valid a hook name." unless @@allowed_hook_name == value
  end

  desc <<-EOD
  EOD

  isnamevar
end
