#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:permissions) do
  include EasyType

  desc <<-EOD
  The permissions the team has on the repository. Here is an example:

      github_team_repo { 'acount/organization/team:owner/repo':
        ...
        permissions => 'pull',
        ...
      }

  EOD

  data_type("Optional[Enum['admin', 'push', 'pull']]")

  newvalues(:admin, :push, :pull)

  to_translate_to_resource do |raw_resource|
    case
    when raw_resource[:permissions][:admin]
      'admin'
    when raw_resource[:permissions][:push]
      'push'
    when raw_resource[:permissions][:pull]
      'pull'
    else
      fail 'invalid access rights passed from API.'
    end
  end

end
